This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 509596 - internal compiler error: in tsubst, at cp/pt.c:9695
internal compiler error: in tsubst, at cp/pt.c:9695
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 17:38 EDT by Roland McGrath
Modified: 2009-07-08 11:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 11:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed C++ source (1.36 MB, text/plain)
2009-07-03 17:38 EDT, Roland McGrath
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 40684 None None None Never

  None (edit)
Description Roland McGrath 2009-07-03 17:38:18 EDT
Created attachment 350461 [details]
preprocessed C++ source

Description of problem:

The input is probably illegal C++.

g++ -Wall -Wshadow -std=gnu++0x -Werror -Wunused -Wextra -Wformat=2 -g -O3 -Wl,-rpath-link,../libelf:../libdw  -o dwarflint dwarflint.o dwarflint-hl.o dwarflint-expected-at.o dwarfstrings.o dwarflint-coverage.o ../libebl/libebl.a ../libelf/libelf.so ../libdw/libdwpp.a ../libdw/libdw.so ../lib/libeu.a  -ldl 
In file included from ../../../redhat/elfutils/src/dwarfcmp.cc:48:
../../../redhat/elfutils/src/../libdw/c++/dwarf_edit: In constructor ‘elfutils::dwarf_edit::compile_units::compile_units(const input&, tracker&) [with input = elfutils::dwarf::compile_units, tracker = elfutils::dwarf_ref_maker<elfutils::dwarf_edit, elfutils::dwarf>]’:
../../../redhat/elfutils/src/../libdw/c++/dwarf_edit:377:   instantiated from ‘elfutils::dwarf_edit::dwarf_edit(const input&, elfutils::dwarf_ref_maker<elfutils::dwarf_edit, input>, elfutils::subr::guard<elfutils::dwarf_ref_maker<elfutils::dwarf_edit, input> >) [with input = elfutils::dwarf]’
../../../redhat/elfutils/src/dwarfcmp.cc:329:   instantiated from here
../../../redhat/elfutils/src/../libdw/c++/dwarf_edit:301: internal compiler error: in tsubst, at cp/pt.c:9695
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccgCim3w.out file, please attach this to your bugreport.


Version-Release number of selected component (if applicable):

gcc-c++-4.4.0-4.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.